> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/my-branded-food-search.md).

# My Branded Food Search

Use the `myBrandedFoods`to return the user's stored branded foods. These branded foods are the ones created by a user by using the [`createMyBrandedFoods`](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/create-my-branded-food) mutation.

&#x20;Use also an optional `ID` argument to search `b64id` foods.

## Available Argument

| **Name** | **Type** | **Description**                              |
| -------- | -------- | -------------------------------------------- |
| `Id`     | String   | Own branded food ID. *No required argument.* |

### Available Fields

The following fields are part of the response.

| **Field Name**             | **Type**                                                                    | **Description**                                                                                                                                                 |
| -------------------------- | --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`                     | String                                                                      | Name of the branded food                                                                                                                                        |
| `calories`                 | String                                                                      | Number of calories                                                                                                                                              |
| `description`              | String                                                                      | Branded food description                                                                                                                                        |
| `gtinUPC`                  | String                                                                      | [GTIN ](https://docs.suggestic.com/graphql/glossary#gtin)or [UPC ](https://docs.suggestic.com/graphql/glossary#upc)number that is included in the food package. |
| `brandOwner`               | String                                                                      | Name of the food brand owner                                                                                                                                    |
| `servingSize`              | Int                                                                         | Quantity of grams per serving                                                                                                                                   |
| `ServingSizeUnit`          | Int                                                                         | Unit of the Serving size                                                                                                                                        |
| `householdServingFulltext` | String                                                                      | Name of the serving                                                                                                                                             |
| `nutrients`                | [nutrients](https://docs.suggestic.com/graphql/objects/food-logs/nutrients) | Object that includes the information of the nutrients available in the food                                                                                     |
| `tags`                     | String                                                                      | Displays the available [tags ](https://docs.suggestic.com/graphql/objects/food-logs/food-filter#how-to-use-tags)                                                |

### Pagination

The `myBrandedFoods` query supports the use of [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). The following fields can be used

{% tabs %}
{% tab title="Query" %}

```graphql
 pageInfo{
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
```

{% endtab %}
{% endtabs %}

## Examples

### GraphQL Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  myBrandedFoods {
    edges {
      node {
        id
        name
        servingSize
        servingSizeUnit
        householdServingFulltext
        nutrients {
          unit
          type
          name
        }
      }
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "myBrandedFoods": {
      "edges": [
        {
          "node": {
            "id": "TXlCcmFuZGVkRm9vZDpiY0RFTVg4QmI0RHRoTlZhRVIwTQ==",
            "name": "Milk",
            "servingSize": 240,
            "servingSizeUnit": "ml",
            "householdServingFulltext": "1 cup",
            "nutrients": [
              {
                "unit": "MG",
                "type": "POTASSIUM_K",
                "name": "Potassium, K"
              },
              {
                "unit": "MG",
                "type": "CALCIUM_CA",
                "name": "Calcium, Ca"
              }
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/my-branded-food-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
